﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Agilent MSO6032A: (1 year) VER IEEE /9500+3Hd
DATE:                  2011-02-09 08:50:08
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       241
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, DAC, CAD
# 
#  Model(s) Covered:
#        MSO6032A
# 
#  Compatibility:
#        MET/CAL 7.3 or later
# 
#  Source(s):
#        Agilent 6000 Series Oscilloscopes Service Guide,
#          Part No. 54684-97029, August 2008
#        Agilent Technologies InfiniiVision 6000 Series
#          Oscilloscopes Data Sheet,
#          Part No. 5989-2000EN, October 1, 2009
# 
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Self Test SCPI No Connection
#        Sub AT MSO6xxxA (1 yr) Threshold Accuracy IEEE /9500
#        Sub AT MSO6xxx Logic Threshold Decoder
#        Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
#        Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
#        Sub AT MSO/DSO60x2 (1 yr) Ext Trig 2Ch IEEE /9500
#        Sub AT MSO/DSO6xxx Select Channel
#        Sub AT MSO/DSO6xxx Wait for Triggered
#        Sub AT MSO/DSO6xxx Check Date Code
#        Sub AT MSO/DSO6xxx Check Firmware Revision
#
#  Required Files:
#        berg_strip.jpg
#
#  Additional Equipment Required:
#        Berg Strip, 8-by-2, fabricated
#
# The procedure was tested using:
#        Model Number     : MSO6034A (simulating MSO6032A)
#        Serial number    : MY50510159
#        Firmware Revision: 06.15.0001
#
# Average run time during testing:
#        3½ min. (Digital Threshold Accuracy tests)
#         6 min. (TAR mode)
#        14 min. (MU mode)
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  M9500                       CH1
  1.004  9500         300MH                        100mVpp        LS    S  L
  1.005  M9500                       CH2
  1.006  9500         300MH                        100mVpp        LS    S  L
  1.007  M9500                       CH3
  1.008  9500         300MH                        100mVpp        LS    S  L
  1.009  ENDIF

  1.010  IF           NOT(VERSIONCHECK("7.3"))
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         30 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub UUT Connection GPIB

  1.017  HEAD         UUT IDENTIFICATION
  1.018  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.019  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.020  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.021  MATH         @UUT_Model         = "MSO6032A"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.023  IF           @Abort
  1.024  END
  1.025  ENDIF

  1.026  CALL         Sub AT MSO/DSO6xxx Check Date Code

# Reset statement for UUT, clearing UUT status register.
  1.027  RESET        *CLS

  1.028  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.029  CALL         Sub Select Failed Test Mode
  1.030  CALL         Sub Select Verification Method

  1.031  HEAD         EQUIPMENT REQUIRED
  1.032  DISP         The following additional equipment is required to
  1.032  DISP         facilitate the verification:
  1.032  DISP
  1.032  DISP         - Berg Strip, 8-by-2, fabricated

  1.033  CALL         Sub Self Test SCPI No Connection

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

# Set Bandwidth and Number of Channels.
  1.037  MATH         @Bandwidth = 300E+6; @NumChan = 2

  1.038  HEAD         INSTRUMENT CONNECTIONS
  1.039  PIC          berg_strip.jpg
  1.040  DISP         Connect the 9500 CH1 ACTIVE HEAD to the fabricated
  1.040  DISP         logic test fixture.
  1.040  DISP
  1.040  DISP         Connect the UUT digital channels D7-D0 (Pod 1) to
  1.040  DISP         the fabricated logic test fixture.
  1.040  DISP
  1.040  DISP         IMPORTANT: Keep test fixture away from any source of
  1.040  DISP         electrical noise.

  1.041  DISP         The next routine operator intervention occurs
  1.041  DISP         in approximately 2 minutes...

  1.042  MATH         @Pod = 1
  1.043  M9500                       CH1
  1.044  CALL         Sub AT MSO6xxxA (1 yr) Threshold Accuracy IEEE /9500

  1.045  HEAD         INSTRUMENT CONNECTIONS
  1.046  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.047  DISP         Connect the 9500 CH1 ACTIVE HEAD to the fabricated
  1.047  DISP         logic test fixture.
  1.047  DISP
  1.047  DISP         Connect the UUT digital channels D15-D8 (Pod 2) to
  1.047  DISP         the fabricated logic test fixture.
  1.047  DISP
  1.047  DISP         IMPORTANT: Keep test fixture away from any source of
  1.047  DISP         electrical noise.

  1.048  DISP         The next routine operator intervention occurs
  1.048  DISP         in approximately 2 minutes...

  1.049  MATH         @Pod = 2
  1.050  M9500                       CH1
  1.051  CALL         Sub AT MSO6xxxA (1 yr) Threshold Accuracy IEEE /9500

  1.052  HEAD         INSTRUMENT CONNECTIONS
  1.053  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.054  DISP         Make the following connections:
  1.054  DISP
  1.054  DISP         [32]       9500          to      UUT
  1.054  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1 (X)
  1.054  DISP         [32]  CH2 ACTIVE HEAD -------> Ch 2 (Y)
  1.054  DISP         [32]  CH5 ACTIVE HEAD -------> EXT TRIGGER (Z)

  1.055  IF           ZCMPI(@MeasMode, "TAR")
  1.056  DISP         The next routine operator intervention occurs
  1.056  DISP         in approximately 6 minutes (verification will
  1.056  DISP         be complete, barring any failures).
  1.057  ELSE
  1.058  DISP         The next routine operator intervention occurs
  1.058  DISP         in approximately 14 minutes (verification will
  1.058  DISP         be complete, barring any failures).
  1.059  ENDIF

  1.060  MATH         @Chan = 1
  1.061  M9500                       CH1
  1.062  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500

  1.063  MATH         @Chan = 2
  1.064  M9500                       CH2
  1.065  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500

  1.066  MATH         @Chan = 1
  1.067  M9500                       CH1
  1.068  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500

  1.069  MATH         @Chan = 2
  1.070  M9500                       CH2
  1.071  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500

  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1

  1.074  IF           @MfgYear >= 8
  1.075  CALL         Sub AT MSO/DSO60xx (1 yr) Time Scale IEEE /9500
  1.076  ENDIF

  1.077  CALL         Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
  1.078  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500

  1.079  MATH         @Chan = 2
  1.080  M9500                       CH2
  1.081  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500

  1.082  MATH         @Chan = 1
  1.083  M9500                       CH1                                L  1T5
  1.084  CALL         Sub AT MSO/DSO60x2 (1 yr) Ext Trig 2Ch IEEE /9500

  1.085  RSLT         =
  1.086  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.087  END
